org.eclipse.incquery.patternlanguage.patternLanguage

## Interface VariableReference

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    VariableReferenceImpl

      public interface VariableReference
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Variable Reference'.

  The following features are supported:

  - `Var`
  See Also:
    `PatternLanguagePackage.getVariableReference()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getVar()` Returns the value of the 'Var' attribute.
    `Variable` | `getVariable()`
    `void` | `setVar(java.lang.String value)` Sets the value of the '`Var`' attribute.
    `void` | `setVariable(Variable value)` Sets the value of the '`Variable`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getVar

          java.lang.String getVar()

      Returns the value of the 'Var' attribute.

      Warning! This feature contains the original reference text, not the variable name. For variable name, use the `#variable`/`Variable.getName()` reference chain. This is significant when using anonymous variables (named '_').

      Returns:
        the value of the 'Var' attribute.
      See Also:
        `setVar(String)`, `PatternLanguagePackage.getVariableReference_Var()`

    - #### setVar

          void setVar(java.lang.String value)

      Sets the value of the '`Var`' attribute.
      Parameters:
        `value` - the new value of the 'Var' attribute.
      See Also:
        `getVar()`

    - #### setVariable

          void setVariable(Variable value)

      Sets the value of the '`Variable`' reference.
      Parameters:
        `value` - the new value of the 'Variable' reference.
      See Also:
        `getVariable()`

    - #### getVariable

          Variable getVariable()